package application;


import javafx.geometry.Pos;
import javafx.scene.Parent;
import javafx.scene.control.Alert;
import javafx.scene.control.Alert.AlertType;
import javafx.scene.control.Button;
import javafx.scene.control.Label;
import javafx.scene.control.TextArea;
import javafx.scene.layout.BorderPane;
import javafx.scene.layout.HBox;

public class BankScreen extends Parent{
	
	private Alert infoAlert;
	
	public BankScreen(){
		
		Controller c = new Controller();
		
		infoAlert = new Alert(AlertType.INFORMATION);
		infoAlert.setContentText("Erfolgreich gespeichert!");
		infoAlert.setTitle("Speichern der Eintrge...");
		infoAlert.setHeaderText(null);
		
		Label l = new Label("Meine Transaktionen:");
		TextArea txt_field = new TextArea();
		
		Button save_button = new Button("Speichern");
		save_button.setOnAction(e->{
			c.save(txt_field.getText());
			txt_field.setText("");
			infoAlert.show();
		});
		
		Button normal_button = new Button("Normal anzeigen");
		normal_button.setOnAction(e -> c.show_normal(txt_field));
		
		Button encoded_button = new Button("Verschlsselt anzeigen");
		encoded_button.setOnAction(e->c.show_encoded(txt_field));
		
		HBox button_box = new HBox();
		button_box.setSpacing(5);
		
		
		button_box.getChildren().addAll(save_button,normal_button,encoded_button);
		button_box.autosize();
		button_box.setAlignment(Pos.CENTER);
		
		BorderPane bp = new BorderPane();
		
		BorderPane.setAlignment(button_box, Pos.CENTER);
		
		bp.setTop(l);
		bp.setCenter(txt_field);
		bp.setBottom(button_box);
		
		
		this.getChildren().add(bp);
	}
	
	

}
