package mvc;

import javafx.application.Application;
import javafx.scene.Parent;
import javafx.scene.Scene;
import javafx.stage.Stage;

public class Main extends Application {
	
	@Override
	public void start(Stage primaryStage) throws Exception {
		
		
		//1. Schritt: Instanz des Models erstellen: 
		// Hier ein neues Konto. 
		Model konto1 = new Model(1000);
		
		// Dann die View erzeugen mit der eben erstellten Model-Instanz:
		Parent view = new View(konto1);
		
		// Dann die View in die Szene einbinden und alles wie gehabt: 
		
		Scene scene = new Scene(view);
		
		primaryStage.setScene(scene);
		primaryStage.sizeToScene();
		primaryStage.show();
	}
	
	public static void main(String[] args) {
		Application.launch(args);
	}

}
